org.apache.olingo.odata2.api.ep

## Class EntityProviderReadProperties

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.EntityProviderReadProperties

-     public class EntityProviderReadProperties
      extends Object

  The `EntityProviderReadProperties` contains all necessary settings to read an entity with the `EntityProvider`.

  The main settings are

  - the `mergeSemantic`
  - the `callback for inlined navigation properties`
  - the `type mappings`
  - and `validatingFacets`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` Builder for `EntityProviderReadProperties`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OnReadInlineContent` | `getCallback()`
    `boolean` | `getMergeSemantic()` Gets the merge semantics.
    `Map<String,Object>` | `getTypeMappings()`
    `Map<String,String>` | `getValidatedPrefixNamespaceUris()`
    `static EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `init()`
    `static EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `initFrom(EntityProviderReadProperties properties)`
    `boolean` | `isValidatingFacets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### init

          public static EntityProviderReadProperties.EntityProviderReadPropertiesBuilder init()

    - #### initFrom

          public static EntityProviderReadProperties.EntityProviderReadPropertiesBuilder initFrom(EntityProviderReadProperties properties)

    - #### getValidatedPrefixNamespaceUris

          public Map<String,String> getValidatedPrefixNamespaceUris()

    - #### getTypeMappings

          public Map<String,Object> getTypeMappings()

    - #### getCallback

          public OnReadInlineContent getCallback()

    - #### getMergeSemantic

          public boolean getMergeSemantic()

      Gets the merge semantics.

      Merge semantics is set if the input content has to be treated in the context of a request to merge incoming data with existing data (e.g., indicated by the HTTP verbs `MERGE` or `PATCH` in a server application). Otherwise the request, even if not all data are supplied, is supposed to overwrite the existing entity completely.

    - #### isValidatingFacets

          public boolean isValidatingFacets()

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.